Package org.apache.commons.lang3

## Interface Functions.FailablePredicate<I,​T extends java.lang.Throwable>

Type Parameters:
  `I` - Predicate type 1.
  `T` - Thrown exception.

Enclosing class:
  Functions

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @Deprecated
    @FunctionalInterface
    public static interface Functions.FailablePredicate<I,​T extends java.lang.Throwable>

Deprecated.
Use `FailablePredicate`.
A functional interface like `Predicate` that declares a `Throwable`.

TODO for 4.0: Move to org.apache.commons.lang3.function.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`boolean` `test​(I object)` Deprecated. Tests the predicate.

### Method Detail

#### test

    boolean test​(I object)
          throws T extends java.lang.Throwable

Deprecated.
Tests the predicate.

Parameters:
  `object` - the object to test the predicate on
Returns:
  the predicate's evaluation
Throws:
  `T` - if the predicate fails
  `T extends java.lang.Throwable`